Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.schema
Class SchemaCreator.MyListener

    java.lang.Object
      oracle.ifs.admin.tools.schema.SchemaCreator.MyListener

All Implemented Interfaces:
  java.util.EventListener, ActionQueueListener

Enclosing class:
  SchemaCreator

    public class SchemaCreator.MyListener

extends java.lang.Object
implements ActionQueueListener

Constructor Summary
`SchemaCreator.MyListener()`

Method Summary
`void` | `actionFinished(Action action)` Invoked when an Action has finished successfully.
`void` | `actionQueueFailed(java.lang.Throwable error)` Invoked if the ActionQueue has failed.
`void` | `actionQueueFinished()` Invoked when the ActionQueue has finished.
`void` | `actionStarting(Action action)` Invoked when an Action is about to be performed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaCreator.MyListener

    public SchemaCreator.MyListener()

Method Detail

### actionQueueFinished

    public void actionQueueFinished()

  Description copied from interface: `ActionQueueListener`
  Invoked when the ActionQueue has finished. An ActionQueue has finished when all of its Action instances have finished. An Action is considered finished when its `perform` method has returned successfully.

  Specified by:
    `actionQueueFinished` in interface `ActionQueueListener`

### actionQueueFailed

    public void actionQueueFailed(java.lang.Throwable error)

  Description copied from interface: `ActionQueueListener`
  Invoked if the ActionQueue has failed. An ActionQueue has failed if any one of its Actions has failed. An ActionQueue can be considered fail-fast; that is, it will fail and stop executing Actions immediately upon a single Action having failed.

  Specified by:
    `actionQueueFailed` in interface `ActionQueueListener`
  Parameters:
    `error` - the error that occurred (usually an ActionFailedException).

### actionStarting

    public void actionStarting(Action action)

  Description copied from interface: `ActionQueueListener`
  Invoked when an Action is about to be performed.

  Specified by:
    `actionStarting` in interface `ActionQueueListener`
  Parameters:
    `action` - the Action that will be performed.

### actionFinished

    public void actionFinished(Action action)

  Description copied from interface: `ActionQueueListener`
  Invoked when an Action has finished successfully.

  Specified by:
    `actionFinished` in interface `ActionQueueListener`
  Parameters:
    `action` - the Action that has finished.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD